Module java.desktop
Package javax.swing.event

## Interface CaretListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `JEditorPane.AccessibleJEditorPane`, `JEditorPane.AccessibleJEditorPaneHTML`, `JEditorPane.JEditorPaneAccessibleHypertextSupport`, `JPasswordField.AccessibleJPasswordField`, `JTextArea.AccessibleJTextArea`, `JTextComponent.AccessibleJTextComponent`, `JTextField.AccessibleJTextField`

    public interface CaretListener
    extends EventListener

Listener for changes in the caret position of a text component.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `caretUpdate​(CaretEvent e)` Called when the caret position is updated.

### Method Detail

#### caretUpdate

    void caretUpdate​(CaretEvent e)

Called when the caret position is updated.

Parameters:
  `e` - the caret event